------------------------------------------------------------------------------------
--Name:  	liuxingyu2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-07-03
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(101, 90)
CppScriptMgr:SetViewScale(300)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(104, 93)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(960)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 102, 95, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(210)
local Player_3 = CppScriptMgr:AddSimplePlayer(1050530, 102, 95, "Wanderer", 0, 0)
Player_3:SetDir(5)
Player_1:SetDir(1)
CppScriptMgr:WaitMilSec(470)
Player_3:SetAction(190)
Player_3:Say("Hi! By the grace of the heavens, we meet here!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("How wonderful!", 1000)
CppScriptMgr:WaitMilSec(1530)
Player_3:Say("Look! A meteor shower!", 1500)
Player_3:SetDir(7)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(780)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(1300)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e282", 103, 94, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("dispel7", 106, 94, 33, 1, 1, 1)
Effect_3:Scale(5, 5, 5)
local effect_1 = CppScriptMgr:AddEffect("dispel7", 105, 101, 33, 1, 1, 1)
effect_1:Scale(5, 5, 5)
CppScriptMgr:WaitMilSec(130)
Player_3:Say("So beautiful!", 1000)
CppScriptMgr:WaitMilSec(290)
local effect_2 = CppScriptMgr:AddEffect("dispel7", 113, 95, 33, 1, 1, 1)
effect_2:Scale(5, 5, 5)
CppScriptMgr:WaitMilSec(360)
local effect_3 = CppScriptMgr:AddEffect("dispel7", 113, 95, 33, 1, 1, 1)
effect_3:Scale(5, 5, 5)
CppScriptMgr:WaitMilSec(390)